@import url("https://fonts.googleapis.com/css2?family=Saira+Extra+Condensed:wght@100;300;400;600&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Saira Extra Condensed', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.ui-loader {
  display: none !important;
}

.contenedor_personajes {
  width: 100vw;
  height: 100vh;
  background-position: center;
  background-size: cover;
  display: flex;
  align-items: center;
  padding: 25px;
  justify-content: center;
  flex-wrap: wrap;
  background-image: url("../images/backgrounds/bg-elige-rey-navidad-desktop.jpg");
}
.contenedor_personajes .title {
  width: 100%;
  text-align: center;
}
.contenedor_personajes .title h2 {
  font-size: 26px;
  font-weight: bold;
  color: #fff;
  line-height: 32px;
  text-transform: uppercase;
}
.contenedor_personajes .personajes {
  max-width: 960px;
  width: 100%;
  margin: 0 auto;
  display: flex;
}
.contenedor_personajes .personajes .p__cont {
  width: 100%;
  display: flex;
  align-items: center;
}
.contenedor_personajes .personajes .p__cont .slide {
  width: 100%;
  background-color: transparent;
  display: flex;
  align-items: center;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide {
  width: 100% !important;
  max-width: 960px;
  display: flex;
  align-items: center;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item {
  width: 20%;
  padding: 0 5px;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item .item {
  width: 100%;
  cursor: pointer;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item .item .p_slide {
  width: 100%;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item .item .p_hover {
  display: none;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item .item:hover .p_slide {
  display: none;
}
.contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item .item:hover .p_hover {
  display: block;
}
.contenedor_personajes .cta_boton {
  width: 100%;
  display: block;
  text-align: center;
}
.contenedor_personajes .cta_boton .s_auto {
  width: 200px;
  background-image: linear-gradient(#FEB902, #FEA702);
  color: #000;
  padding: 5px 10px;
  font-size: 18px;
  text-transform: uppercase;
  font-weight: bold;
  margin: 0 auto;
  cursor: pointer;
}

.personaje__view {
  width: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  z-index: 9000;
  top: 0;
  padding: 20px;
  display: none;
  justify-content: center;
  align-items: center;
}
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
  .personaje__view .personaje__cont {
    width: 90%;
    height: 90%;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    display: flex;
    position: relative;
    text-align: center;
    align-items: center;
    padding: 30px 70px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 6px;
  }
  .personaje__view .personaje__cont .cerrar {
    position: absolute;
    top: 12px;
    right: 12px;
    cursor: pointer;
  }
  .personaje__view .personaje__cont .personaje {
    width: 80%;
    margin: 0 auto;
    display: flex;
    align-items: center;
  }
  .personaje__view .personaje__cont .personaje .personaje_img {
    width: 40%;
    text-align: center;
  }
  .personaje__view .personaje__cont .personaje .personaje_img img {
    width: 50%;
  }
  .personaje__view .personaje__cont .personaje .p__descripcion {
    width: 60%;
    text-align: left;
  }
  .personaje__view .personaje__cont .personaje .p__descripcion h3 {
    color: #fff;
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 26px;
    line-height: 32px;
    margin-bottom: 10px;
  }
  .personaje__view .personaje__cont .personaje .p__descripcion p {
    max-width: 380px;
    width: 100%;
    color: #fff;
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 30px;
  }
  .personaje__view .personaje__cont .personaje .p__descripcion .cta__button {
    width: 100%;
    display: block;
  }
  .personaje__view .personaje__cont .personaje .p__descripcion .cta__button p {
    cursor: pointer;
    font-size: 18px;
    line-height: 28px;
    color: #000;
    font-weight: bold;
    padding: 5px 40px;
    width: 155px;
    background-color: #FEB902;
    text-transform: uppercase;
  }
  .personaje__view .personaje__cont .prev_p {
    position: absolute;
    left: 40px;
  }
  .personaje__view .personaje__cont .next_p {
    position: absolute;
    right: 40px;
  }
}

.personaje__view_random {
  width: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  z-index: 9000;
  top: 0;
  padding: 20px;
  display: none;
  justify-content: center;
  align-items: center;
}
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
  .personaje__view_random .personaje__cont {
    width: 90%;
    height: 90%;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    display: flex;
    position: relative;
    text-align: center;
    align-items: center;
    padding: 30px 70px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 6px;
  }
  .personaje__view_random .personaje__cont .cerrar {
    position: absolute;
    top: 12px;
    right: 12px;
    cursor: pointer;
  }
  .personaje__view_random .personaje__cont .personaje {
    width: 80%;
    margin: 0 auto;
    display: flex;
    align-items: center;
  }
  .personaje__view_random .personaje__cont .personaje .personaje_img {
    width: 40%;
    text-align: center;
  }
  .personaje__view_random .personaje__cont .personaje .personaje_img img {
    width: 50%;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion {
    width: 60%;
    text-align: left;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion h3 {
    color: #fff;
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 26px;
    line-height: 32px;
    margin-bottom: 10px;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion p {
    max-width: 380px;
    width: 100%;
    color: #fff;
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 30px;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion .cta__button {
    width: 100%;
    display: block;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion .cta__button p {
    cursor: pointer;
    font-size: 18px;
    line-height: 28px;
    color: #000;
    font-weight: bold;
    padding: 5px 10px;
    text-align: center;
    width: 190px;
    background-color: #FEB902;
    text-transform: uppercase;
  }
  .personaje__view_random .personaje__cont .personaje .p__descripcion .cta__button .random {
    background-color: rgba(255, 255, 255, 0.2);
  }
  .personaje__view_random .personaje__cont .prev_p {
    position: absolute;
    left: 40px;
  }
  .personaje__view_random .personaje__cont .next_p {
    position: absolute;
    right: 40px;
  }
}

.seleccion__view {
  width: 100vw;
  height: 100vh;
  background-position: 0 center;
  background-size: cover;
  display: none;
  align-items: center;
  justify-content: flex-end;
  padding-right: 5%;
  background-image: url("../images/backgrounds/splash-desktop-A124.jpg");
}
.seleccion__view .textos {
  max-width: 280px;
  width: 100%;
  padding: 20px 0;
}
.seleccion__view .textos h2 {
  color: #fff;
  font-size: 24px;
  font-weight: bold;
  letter-spacing: 1px;
  line-height: 30px;
  text-transform: uppercase;
}
.seleccion__view .textos p {
  margin-top: 20px;
  font-size: 16px;
  color: #fff;
  line-height: 20px;
  margin-bottom: 15px;
}
.seleccion__view .textos .next_step {
  font-size: 18px;
  font-weight: 600;
  color: #000;
  line-height: 28px;
  padding: 5px 40px;
  text-decoration: none;
  text-transform: uppercase;
  background-color: #FEB902;
}

.ranking_personajes {
  width: 100vw;
  background-color: rgba(34, 46, 61, 0.9);
  height: 100vh;
  padding: 20px;
  display: none;
  position: relative;
  align-items: center;
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
}
.ranking_personajes .rp_cont {
  max-width: 760px;
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  margin: 0 auto;
  align-items: center;
}
.ranking_personajes .rp_cont .top {
  width: 40%;
}
.ranking_personajes .rp_cont .top .position {
  display: block;
}
.ranking_personajes .rp_cont .top .position p {
  font-size: 22px;
  font-weight: bold;
  color: #fff;
}
.ranking_personajes .rp_cont .top .position p span {
  font-size: 16px;
  margin-right: 2px;
}
.ranking_personajes .rp_cont .top .imagen {
  width: 100%;
  display: block;
}
.ranking_personajes .rp_cont .top .imagen img {
  width: 90%;
}
.ranking_personajes .rp_cont .top .nombre {
  width: 100%;
  text-align: right;
  font-size: 18px;
  color: #fff;
  text-shadow: 0px 3px 6px #00000080;
  text-transform: uppercase;
  padding-right: 30px;
  font-weight: bold;
  letter-spacing: 1px;
}
.ranking_personajes .rp_cont .clasificacion {
  width: 60%;
  padding-left: 60px;
}
.ranking_personajes .rp_cont .clasificacion .encabezado {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  padding-bottom: 10px;
  border-bottom: 1px solid #fff;
  margin-bottom: 10px;
}
.ranking_personajes .rp_cont .clasificacion .encabezado .nombre {
  width: 70%;
}
.ranking_personajes .rp_cont .clasificacion .encabezado .nombre p {
  font-size: 16px;
  color: #fff;
  line-height: 19px;
  font-weight: bold;
  letter-spacing: 1px;
  text-shadow: 0px 3px 6px #00000080;
  text-transform: uppercase;
}
.ranking_personajes .rp_cont .clasificacion .encabezado .votos {
  width: 30%;
  text-align: right;
}
.ranking_personajes .rp_cont .clasificacion .encabezado .votos p {
  text-shadow: 0px 3px 6px #00000080;
  color: #fff;
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 1px;
}
.ranking_personajes .rp_cont .clasificacion .lista {
  width: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding: 2px 4px;
}
.ranking_personajes .rp_cont .clasificacion .lista .nombre {
  width: 70%;
}
.ranking_personajes .rp_cont .clasificacion .lista .nombre p {
  color: #fff;
  font-size: 16px;
}
.ranking_personajes .rp_cont .clasificacion .lista .nombre p span {
  background-color: #00000066;
  padding: 0 8px;
  font-size: 14px;
  font-weight: bold;
  border-radius: 4px;
  margin-right: 15px;
}
.ranking_personajes .rp_cont .clasificacion .lista .nombre p span.last {
  margin-right: 12px;
}
.ranking_personajes .rp_cont .clasificacion .lista .votos {
  width: 30%;
  text-align: right;
}
.ranking_personajes .rp_cont .clasificacion .lista .votos p {
  font-weight: 600;
  color: #fff;
  text-shadow: 0px 3px 6px #00000080;
  letter-spacing: 1px;
  font-size: 18px;
}
.ranking_personajes .rp_cont .clasificacion .bg {
  background-image: linear-gradient(to right, rgba(34, 46, 61, 0.5) 20%, transparent, rgba(255, 255, 255, 0.2));
}
.ranking_personajes .siguiente_voto {
  position: absolute;
  bottom: 12px;
  right: 12px;
}
.ranking_personajes .siguiente_voto a {
  text-decoration: none;
}
.ranking_personajes .siguiente_voto p {
  background-color: #FEB902;
  text-transform: uppercase;
  color: #000;
  font-size: 18px;
  line-height: 28px;
  font-weight: 600;
  letter-spacing: 1px;
  padding: 5px 30px;
  cursor: pointer;
}

.cambiar {
  width: 100vw;
  height: 100vh;
  display: none;
  position: absolute;
  top: 0;
  z-index: 999;
  justify-content: center;
  align-items: center;
  background-color: #000;
}
.cambiar .textos {
  width: 100%;
  display: block;
  max-width: 80%;
  margin: 0 auto;
  text-align: center;
}
.cambiar .textos h2 {
  font-size: 22px;
  color: #fff;
  letter-spacing: 1px;
  font-weight: bold;
  margin-top: 20px;
}

@media only screen and (max-width: 1080px) {
  .contenedor_personajes .personajes {
    max-width: 920px;
  }

  .contenedor_personajes .personajes .p__cont .slide .personajes_slide {
    justify-content: center;
  }
  .contenedor_personajes .personajes .p__cont .slide .personajes_slide .p_item {
    width: 18%;
  }
}
@media only screen and (max-width: 960px) {
  .personaje__view .personaje__cont .personaje .personaje_img img, .personaje__view_random .personaje__cont .personaje .personaje_img img {
    width: 70%;
  }

  .bx-wrapper .bx-prev {
    left: 0 !important;
  }

  .contenedor_personajes .personajes {
    max-width: 840px;
  }

  .bx-wrapper .bx-next {
    right: 0 !important;
  }

  .contenedor_personajes .personajes .p__cont .slide .personajes_slide {
    max-width: 840px;
  }

  .ranking_personajes .rp_cont .top .imagen img {
    width: 80%;
    margin: 0 auto;
  }
}
@media only screen and (max-width: 820px) {
  .personaje__view .personaje__cont .personaje, .personaje__view_random .personaje__cont .personaje {
    width: 100%;
  }

  .contenedor_personajes .personajes {
    max-width: 620px;
  }

  .contenedor_personajes .personajes .p__cont .slide .personajes_slide {
    max-width: 620px;
  }

  .bx-wrapper .bx-next {
    right: -40px !important;
  }

  .bx-wrapper .bx-prev {
    left: -20px !important;
  }

  .ranking_personajes .rp_cont .top {
    width: 30%;
  }
  .ranking_personajes .rp_cont .top .imagen img {
    width: 100%;
  }

  .ranking_personajes .rp_cont .clasificacion {
    width: 70%;
  }

  .ranking_personajes .rp_cont .clasificacion .encabezado {
    margin-bottom: 0;
  }

  .ranking_personajes .rp_cont .clasificacion .lista .nombre p {
    font-size: 14px;
  }

  .ranking_personajes .rp_cont .clasificacion .lista .votos p {
    font-size: 14px;
  }

  .ranking_personajes {
    padding: 10px 20px;
  }

  .ranking_personajes .siguiente_voto {
    bottom: 5px;
    right: 20px;
  }
}
@media only screen and (max-width: 680px) {
  .personaje__view_random .personaje__cont {
    width: 100%;
    height: 100%;
  }

  .personaje__view .personaje__cont .personaje .p__descripcion p, .personaje__view_random .personaje__cont .personaje .p__descripcion p {
    font-size: 14px;
    line-height: 15px;
  }

  .contenedor_personajes .personajes {
    max-width: 540px;
  }

  .contenedor_personajes .personajes .p__cont .slide .personajes_slide {
    max-width: 540px;
  }

  .ranking_personajes .rp_cont .clasificacion {
    height: 200px;
    overflow-y: scroll;
  }
}
@media only screen and (max-width: 580px) {
  .contenedor_personajes .personajes {
    max-width: 480px;
  }

  .contenedor_personajes .personajes .p__cont .slide .personajes_slide {
    max-width: 480px;
  }
}
